#
# spec file for package m17n-lib (Version 1.3.0.20060113)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl anthy anthy-devel attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel fribidi fribidi-devel gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv ispell ispell-british klogd less libacl libattr libcom_err libgcc libnscd libotf libotf-devel libstdc++ libtool libxcrypt libxml2 libzio m17n-db m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim wordcut wordcut-devel words xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           m17n-lib
BuildRequires:  anthy-devel freetype2-devel fribidi-devel ispell ispell-british libotf-devel libxml2 m17n-db pkgconfig wordcut-devel xorg-x11-devel
Version:        1.3.0.20060113
Release:        13.2
License:        GPL, X11/MIT
Group:          System/I18n/Japanese
Autoreqprov:    on
Requires:       m17n-db
URL:            http://www.m17n.org/m17n-lib/
# CVS:
#    cvs -d :pserver:anonymous@cvs.m17n.org:/cvs/m17n login
#    cvs -d :pserver:anonymous@cvs.m17n.org:/cvs/m17n co m17n-lib
#    cvs -d :pserver:anonymous@cvs.m17n.org:/cvs/m17n co m17n-db
Source0:        http://www.m17n.org/m17n-lib/download/m17n-lib-1.3.0.20060113.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Summary:        Multilingual Text Processing Library for the C Language

%description
A multilingual text processing library for the C language.



Authors:
--------
    Kenichi Handa <handa@m17n.org>
    Mikiko Nishikimi <nisikimi@m17n.org>
    Naoto Takahashi <ntakahas@m17n.org>
    Satoru Tomura <tomura@m17n.org>

%debug_package
%package devel
Summary:        multilingual text processing library for the C language
Group:          System/I18n/Japanese
Requires:       %{name} = %{version}

%description devel
A multilingual text processing library for the C language



Authors:
--------
    Kenichi Handa <handa@m17n.org>
    Mikiko Nishikimi <nisikimi@m17n.org>
    Naoto Takahashi <ntakahas@m17n.org>
    Satoru Tomura <tomura@m17n.org>

%prep
%setup -q -n %{name}-%{version}
find . -name CVS -type d | xargs rm -rf

%build
libtoolize --force --automake
autoreconf --force --install --verbose
CFLAGS="$RPM_OPT_FLAGS"
CXXFLAGS="$RPM_OPT_FLAGS"
./configure --prefix=/usr \
            --sysconfdir=%{_sysconfdir} \
	    --libdir=%{_libdir} \
	    --with-pic
make 

%install
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;
make DESTDIR=${RPM_BUILD_ROOT} install

%clean
#[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files
%defattr(-, root, root)
%doc AUTHORS COPYING NEWS README ChangeLog
%dir %{_libdir}/lib*.so.*
%{_libdir}/lib*.so
%{_bindir}/*

%files devel
%defattr(-, root, root)
/usr/include/*
%{_libdir}/lib*.*a
%{_libdir}/pkgconfig/*.pc

%changelog -n m17n-lib
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 13 2006 - mfabian@suse.de
- update to 1.3.0.20060113 (CVS HEAD).
* Fri Jan 13 2006 - mfabian@suse.de
- update to 1.3.0.
- add pkgconfig to # neededforbuild.
* Fri Jan 14 2005 - mfabian@suse.de
- add "ispell words ispell-british" to "# neededforbuild" to
  make the ispell input method work.
* Tue Dec 28 2004 - mfabian@suse.de
- update to 1.2.0.
* Tue Dec 21 2004 - mfabian@suse.de
- update to 1.1.0.20041221 (cvs version) to test the new
  minput_reset_ic() function.
* Thu Sep 30 2004 - mfabian@suse.de
- add "Requires: m17n-db". m17n-lib is almost useless without
  m17n-db and scim-m17n doesn't work at all without m17n-db.
* Mon Sep 20 2004 - mfabian@suse.de
- Bugzilla #45562: move .so files to main package. scim-m17n needs
  the  .so files but it should not need to require m17n-devel.
* Fri Aug 20 2004 - mfabian@suse.de
- Bugzilla #44028: rename binaries from m* to m17n-* to remove
  conflict with majordomo's /usr/bin/medit.
* Tue Aug 17 2004 - mfabian@suse.de
- update to 1.1.0.
- remove Zhe Su's patch m17n-lib-typedef.diff (included upstream).
- remove my useless-header.patch (included upstream).
* Mon Aug 16 2004 - mfabian@suse.de
- new package: m17n-lib, version 1.0.2
